<?xml version="1.0" encoding="UTF-8"?>
<definitions name="DartService"
   targetNamespace="http://stefan.blinkenarea.org/flaneth/dartboard/"
   xmlns="http://schemas.xmlsoap.org/wsdl/"
   xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
   xmlns:tns="http://stefan.blinkenarea.org/flaneth/dartboard-mod/soap"
   xmlns:xsd="http://www.w3.org/2001/XMLSchema">
 
   <message name="GetHit">
      <part name="timeout" type="xsd:nonNegativeInteger">
        <documentation>time in seconds to wait for a hit</documentation>
      </part>
   </message>
   <message name="GetHitResponse">
      <part name="factor" type="xsd:positiveInteger">
        <documentation>factor of the hit field</documentation>
      </part>
      <part name="value" type="xsd:positiveInteger">
        <documentation>value of the hit field</documentation>
      </part>
   </message>
 
   <portType name="GetHitPortType">
      <operation name="GetHitOperation">
         <input message="tns:GetHit"/>
         <output message="tns:GetHitResponse"/>
      </operation>
   </portType>
   
   <binding name="GetHitBinding" type="tns:GetHitPortType">
      <soap:binding style="rpc"
         transport="http://schemas.xmlsoap.org/soap/http"/>
      <operation name="GetHitOperation">
         <soap:operation soapAction="GetHitAction"/>
         <input>
            <soap:body
               encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"
               use="encoded"/>
         </input>
         <output>
            <soap:body
               encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"
               use="encoded"/>
         </output>
      </operation>
   </binding>
 
   <service name="GetHitService">
      <documentation>WSDL File for GetHitService of flaneth dartboard mod</documentation>
      <port binding="tns:GetHitBinding" name="GetHitPort">
         <soap:address 
            location="http://flaneth-dartboard-mod:80/"/>
      </port>
   </service>
</definitions>

